[BACK]Return to patch-tests_tests.sh CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / devel / deforaos-libsystem / patches

File: [cvs.NetBSD.org] / pkgsrc / devel / deforaos-libsystem / patches / patch-tests_tests.sh (download)

Revision 1.4, Sat Oct 17 17:57:28 2015 UTC (5 years ago) by khorben
Branch: MAIN
CVS Tags: pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3, pkgsrc-2016Q2-base, pkgsrc-2016Q2, pkgsrc-2016Q1-base, pkgsrc-2016Q1, pkgsrc-2015Q4-base, pkgsrc-2015Q4
Changes since 1.3: +5 -5 lines

Package DeforaOS libSystem 0.2.3

This release brings:
- fixes for memory leaks in the Config and Plugin classes
- fix for memory corruption in the Event class
- improvements to configctl(1)
- additional test for the Event class
- portability fixes (build...)

$NetBSD: patch-tests_tests.sh,v 1.4 2015/10/17 17:57:28 khorben Exp $

Avoid building the (experimental) Python binding.
Use LD_LIBRARY_PATH to find pre-installed libraries.

--- tests/tests.sh.orig	2015-10-14 23:30:20.000000000 +0000
+++ tests/tests.sh
@@ -42,7 +42,7 @@ _run()
 	echo -n "$test:" 1>&2
 	(echo
 	echo "Testing: $test" "$@"
-	LD_LIBRARY_PATH="$OBJDIR../src" "$OBJDIR$test" "$@") 2>&1
+	env LD_LIBRARY_PATH="$OBJDIR../src" "$OBJDIR$test" "$@") 2>&1
 	res=$?
 	if [ $res -ne 0 ]; then
 		echo "Test: $test$sep$@: FAIL (error $res)"
@@ -107,7 +107,7 @@ _test "includes"
 _test "string"
 _test "variable"
 echo "Expected failures:" 1>&2
-_fail "python.sh"
+#_fail "python.sh"
 if [ -n "$FAILED" ]; then
 	echo "Failed tests:$FAILED" 1>&2
 	exit 2